Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.util
Class ArrayUnenforcedSet<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<E>
                  org.jgrapht.util.ArrayUnenforcedSet<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, java.util.Set<E>

    public class ArrayUnenforcedSet<E>

extends java.util.ArrayList<E>
implements java.util.Set<E>

Helper for efficiently representing small sets whose elements are known to be unique by construction, implying we don't need to enforce the uniqueness property in the data structure itself. Use with caution.

Note that for equals/hashCode, the class implements the Set behavior (unordered), not the list behavior (ordered); the fact that it subclasses ArrayList should be considered an implementation detail.

Author:
  John V. Sichi
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArrayUnenforcedSet()`
`ArrayUnenforcedSet(java.util.Collection<? extends E> c)`
`ArrayUnenforcedSet(int n)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface java.util.List
`containsAll, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ArrayUnenforcedSet

    public ArrayUnenforcedSet()

### ArrayUnenforcedSet

    public ArrayUnenforcedSet(java.util.Collection<? extends E> c)

### ArrayUnenforcedSet

    public ArrayUnenforcedSet(int n)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Collection<E>`
  Specified by:
    `equals` in interface `java.util.List<E>`
  Specified by:
    `equals` in interface `java.util.Set<E>`
  Overrides:
    `equals` in class `java.util.AbstractList<E>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Collection<E>`
  Specified by:
    `hashCode` in interface `java.util.List<E>`
  Specified by:
    `hashCode` in interface `java.util.Set<E>`
  Overrides:
    `hashCode` in class `java.util.AbstractList<E>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD